Update Email Folder
PATCH
/api/v1/workspaces/{workspace_id}/email_folders/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_folders/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Newsletters","parent_id":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_folders/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Newsletters", "parent_id": 1 }'Updates an email folder.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Email Folder ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
Folder name
string
Example
Newslettersparent_id
The ID of the folder to move this folder into. Pass null to move the folder to the root of the project.
integer | null
Example
1Responses
Section titled “ Responses ”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
project_id
required
integer
parent_id
required
The parent folder ID, or null for a folder at the root of the project.
integer | null
organization_id
required
integer
email_count
required
integer
folder_count
required
integer
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "id": 12345, "name": "Newsletters", "project_id": 12345, "parent_id": 12345, "organization_id": 12345, "email_count": 4, "folder_count": 2, "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Forbidden
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
Media typeapplication/json
object
message
required
string
code
string
Example
{ "message": "Record not found", "code": "share_link_expired"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}